### Function

# Gio File parse_name

#### Declaration [src]

    GFile*
    g_file_parse_name (
      const char* parse_name
    )

#### Description [src]

Constructs a `GFile` with the given `parse_name` (i.e. something given by g_file_get_parse_name()). This operation never fails, but the returned object might not support any I/O operation if the `parse_name` cannot be parsed.

#### Parameters

`parse_name`

  Type: `const char*`

  A file name or path to be parsed.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

A new `GFile`.

The caller of the function takes ownership of the data, and is responsible for freeing it.